Name: ca_NIKHEF
Version: 1.106
Release: 1
Source: ca_NIKHEF-1.106.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_NIKHEF-1.106/16da7552.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for classic accredited authority NIKHEF

%if %([ -n "http://ca.dutchgrid.nl/medium/" ] && echo 1 || echo 0)
URL: http://ca.dutchgrid.nl/medium/
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Requires: 
%endif

%if %([ -n "" ] && echo 1 || echo 0)
Obsoletes: 
%endif

%prep
%setup -n ca_NIKHEF-1.106

%description
This is the trust anchor for the classic accredited authority NIKHEF.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr * $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

